Bug 198518 - sysutils/gdisk: Fail to build when UTF16 is enabled
Summary: sysutils/gdisk: Fail to build when UTF16 is enabled
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-11 12:10 UTC by Ting-Wei Lan
Modified: 2018-01-25 23:02 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (wg)


Attachments
[PATCH] Fix sysutils/gdisk build problem (412 bytes, patch)
2015-03-11 12:10 UTC, Ting-Wei Lan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ting-Wei Lan 2015-03-11 12:10:22 UTC
Created attachment 154201 [details]
[PATCH] Fix sysutils/gdisk build problem

It fails with the following message:

c++ crc32.o support.o guid.o gptpart.o mbrpart.o basicmbr.o mbr.o gpt.o bsd.o parttypes.o attributes.o diskio.o diskio-unix.o gdisk.o gpttext.o  -L/usr/local/lib -licuio -fstack-protector  -luuid -o gdisk
/usr/bin/ld: //usr/local/lib/libicuuc.so.53: invalid DSO for symbol `_ZN6icu_5313UnicodeStringC1EPKc' definition
//usr/local/lib/libicuuc.so.53: could not read symbols: Bad value
c++: error: linker command failed with exit code 1 (use -v to see invocation)
*** Error code 1
Comment 1 John Hein 2015-05-11 10:55:00 UTC
See https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=197006, comment 4, comment 5 (has fix) (and comment 6 & comment 7 for more history).
Comment 2 martin.dieringer 2017-11-10 06:28:14 UTC
the patch is still necessary
Comment 3 John Hein 2017-11-24 21:27:56 UTC
See also bug 223855 which includes an update to 1.0.3
Comment 4 Walter Schwarzenfeld freebsd_triage 2018-01-17 07:46:23 UTC
Is this still relevant?
Comment 5 Ting-Wei Lan 2018-01-17 11:30:55 UTC
(In reply to w.schwarzenfeld from comment #4)
Yes.

===>  Building for gdisk-0.8.10_6
c++ crc32.o support.o guid.o gptpart.o mbrpart.o basicmbr.o mbr.o gpt.o bsd.o parttypes.o attributes.o diskio.o diskio-unix.o gdisk.o gpttext.o  -L/usr/local/lib -licuio -fstack-protector  -luuid -o gdisk
/usr/bin/ld: undefined reference to symbol `_ZN3icu13UnicodeStringC1EPKc' (try adding -licuuc)
//usr/local/lib/libicuuc.so.60: could not read symbols: Bad value
c++: error: linker command failed with exit code 1 (use -v to see invocation)
*** Error code 1
Comment 6 Walter Schwarzenfeld freebsd_triage 2018-01-17 11:57:31 UTC
But the patch works!
Comment 7 Ting-Wei Lan 2018-01-17 12:00:00 UTC
(In reply to w.schwarzenfeld from comment #6)
Yes, it works and I keep the patch on all machines where I want to use gdisk.
Comment 8 Walter Schwarzenfeld freebsd_triage 2018-01-17 12:01:09 UTC
I posted it on pipermail, I hope someone would commit.
Comment 9 John Hein 2018-01-25 22:06:00 UTC
(In reply to Ting-Wei Lan from comment #5)
Does everything work for you if you apply the update in bug 223855?

If so, please close this one and reference that bug (which is still waiting for a committer, but it has hit the maintainer timeout and could have any committer grab it any time).  I've been using that version with no problems.  It couldn't hurt to get another user reporting success with it.
Comment 10 commit-hook freebsd_committer 2018-01-25 22:55:57 UTC
A commit references this bug:

Author: tobik
Date: Thu Jan 25 22:55:02 UTC 2018
New revision: 459966
URL: https://svnweb.freebsd.org/changeset/ports/459966

Log:
  sysutils/gdisk: Unbreak UTF16 option

  /usr/bin/ld: undefined reference to symbol `_ZN3icu13UnicodeStringC1EPKc' (try adding -licuuc)
  //usr/local/lib/libicuuc.so.60: could not read symbols: Bad value

  PR:		198518
  Submitted by:	Ting-Wei Lan <lantw44@gmail.com>
  Approved by:	wg (maintainer timeout, ~3 years)

Changes:
  head/sysutils/gdisk/Makefile
Comment 11 commit-hook freebsd_committer 2018-01-25 23:01:05 UTC
A commit references this bug:

Author: tobik
Date: Thu Jan 25 23:00:29 UTC 2018
New revision: 459968
URL: https://svnweb.freebsd.org/changeset/ports/459968

Log:
  MFH: r459966

  sysutils/gdisk: Unbreak UTF16 option

  /usr/bin/ld: undefined reference to symbol `_ZN3icu13UnicodeStringC1EPKc' (try adding -licuuc)
  //usr/local/lib/libicuuc.so.60: could not read symbols: Bad value

  PR:		198518
  Submitted by:	Ting-Wei Lan <lantw44@gmail.com>
  Approved by:	wg (maintainer timeout, ~3 years)

  Approved by:	ports-secteam blanket

Changes:
_U  branches/2018Q1/
  branches/2018Q1/sysutils/gdisk/Makefile
Comment 12 Tobias Kortkamp freebsd_committer 2018-01-25 23:02:54 UTC
Committed, thanks!